1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Cannot switch php versions in 10.4.4

Discussion in 'Plesk 10.x for Linux Issues, Fixes, How-To' started by trec, Mar 16, 2012.

  1. trec

    trec New Pleskian

    24
    90%
    Joined:
    Nov 6, 2003
    Messages:
    19
    Likes Received:
    0
    I had updated from verison 10.0.0 to Parallels Plesk Panel 10.4.4 MU#22
    Also installed PHP 5.3 update module so I could switch different php versions

    After it I got PHP version 5.3.3 installed on all my sites
    But I cannot switch the php versions on my domain names.

    How can I update to PHP latests version 5.3.10 ?
    How can I change php versions?
    The "php version" select does not appear on the subscription webhosting configuration

    Version:
    OS Linux 2.6.18-194.32.1.el5
    Panel version 10.4.4 Update #22, last updated at Mar 16, 2012 01:22 AM

    The system is up-to-date; last checked at Mar 9, 2012 05:00 AM

    Thanks
     
  2. nocrash

    nocrash Basic Pleskian

    23
    90%
    Joined:
    Apr 12, 2007
    Messages:
    37
    Likes Received:
    0
    i also heard about the possibilty of choosing a php-binary, is this documented?
     
  3. Sergey L

    Sergey L Golden Pleskian Staff Member

    32
    43%
    Joined:
    Aug 10, 2006
    Messages:
    1,195
    Likes Received:
    30
    On Linux you cannot select PHP version per domain, it is only available in Windows version (simply because it is managed differently in Microsoft products).

    Once you have desired version of PHP installed, it will be enabled for all sites. You can check the actual PHP version at Tools & Settings > Server Components
     
Loading...